<script lang="ts" setup>
import { useStockStore } from "@/stores/stock";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const stockStore = useStockStore();
// const checkStockStore = useStockStore();
async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await stockStore.saveCheckStockList();
  }
}
const userString = localStorage.getItem("user");
const user = userString ? JSON.parse(userString) : null;
var time = new Date();
</script>
<template>
  <v-dialog v-model="stockStore.dialogCheck" persistent width="1024">
    <v-card color="#EDEADE">
      <v-row class="justify-center">
        <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="120px" color="#1C6758"
          style="color: white"><label>ใบเช็คสต๊อก</label><br>
          <label>วันที่: {{ stockStore.checkStockDetailDate }}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;โดย: {{ stockStore.checkStockDetailName}}</label>
        </v-card>
      </v-row>
      <v-table id="table" style="padding-top: 10px;">
        <thead>
          <tr>
            <!-- <th>ID</th> -->
            <th>Name</th>
            <th>Remaining</th>
            <th>Check</th>
            <th>Unit</th>
            <th>Price</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="item of stockStore.checkStockDetails" :key="item.id">
            <!-- <td>{{ item.id }}</td> -->
            <td>{{ item.name }}</td>
            <td>{{ item.remaining }}</td>
            <td>{{ item.check }}</td>
            <td>{{ item.unit }}</td>
            <td>{{ item.price }}฿</td>
          </tr>
        </tbody>
      </v-table>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn size="x-large" class="btngr" @click="stockStore.dialogCheck = false">Close</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 28px !important;
}

/* .dialog {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold !important;
    font-size: 18px !important;
  } */
.btng {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  background-color: #9BCB3C;
  width: 80px;
}

.btngr {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  background-color: #C0C0C0;
  width: 80px;
}

th {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px !important;
  text-align: center;
  font-weight: bold !important;
}

td {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 16px !important;
  font-weight: bold;
  text-align: center;
}

#table {
  border-collapse: collapse;
  width: 100%;
}

#table td,
#table th {
  padding: 10px;
  text-align: center;
}

#table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #1c6758;
  color: white;

}

#table tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #EDEADE;
  color: black;
}
</style>
